Index: stat/stat.c
===================================================================
RCS file: /cvs/src/usr.bin/stat/stat.c,v
retrieving revision 1.5
diff -u -u -r1.5 stat.c
--- stat/stat.c	9 Jul 2004 19:13:40 -0000	1.5
+++ stat/stat.c	7 Nov 2004 20:02:16 -0000
@@ -150,7 +150,7 @@
 
 #define addchar(s, c, nl) \
 	do { \
-		(void)fputc((c), (s)); \
+		fputc((c), (s)); \
 		(*nl) = ((c) == '\n'); \
 	} while (0/*CONSTCOND*/)
 
@@ -290,7 +290,7 @@
 usage(const char *synopsis)
 {
 
-	(void)fprintf(stderr, "usage: %s %s\n", getprogname(), synopsis);
+	fprintf(stderr, "usage: %s %s\n", getprogname(), synopsis);
 	exit(1);
 }
 
@@ -481,8 +481,8 @@
 	}
 
 	if (!nl && !nonl)
-		(void)fputc('\n', stdout);
-	(void)fflush(stdout);
+		fputc('\n', stdout);
+	fflush(stdout);
 }
 
 /*
@@ -699,7 +699,7 @@
 			case S_IFREG:
 				if (st->st_mode &
 				    (S_IXUSR | S_IXGRP | S_IXOTH))
-					(void)strcat(sdata, "*");
+					strcat(sdata, "*");
 				break;
 			case S_IFLNK:	(void)strcat(sdata, "@");	break;
 			case S_IFSOCK:	(void)strcat(sdata, "=");	break;
@@ -729,9 +729,9 @@
 		small = 0;
 		data = 0;
 		if (file == NULL)
-			(void)strncpy(path, "(stdin)", sizeof(path));
+			strncpy(path, "(stdin)", sizeof(path));
 		else
-			(void)strncpy(path, file, sizeof(path));
+			strncpy(path, file, sizeof(path));
 		sdata = path;
 		formats = FMTF_STRING;
 		if (ofmt == 0)
@@ -781,17 +781,17 @@
 	 * Assemble the format string for passing to printf(3).
 	 */
 	lfmt[0] = '\0';
-	(void)strcat(lfmt, "%");
+	strcat(lfmt, "%");
 	if (flags & FLAG_POUND)
-		(void)strcat(lfmt, "#");
+		strcat(lfmt, "#");
 	if (flags & FLAG_SPACE)
-		(void)strcat(lfmt, " ");
+		strcat(lfmt, " ");
 	if (flags & FLAG_PLUS)
-		(void)strcat(lfmt, "+");
+		strcat(lfmt, "+");
 	if (flags & FLAG_MINUS)
-		(void)strcat(lfmt, "-");
+		strcat(lfmt, "-");
 	if (flags & FLAG_ZERO)
-		(void)strcat(lfmt, "0");
+		strcat(lfmt, "0");
 
 	/*
 	 * Only the timespecs support the FLOAT output format, and that
@@ -803,10 +803,10 @@
 		 */
 		if (prec == 0) {
 			if (size != -1) {
-				(void)snprintf(tmp, sizeof(tmp), "%d", size);
-				(void)strcat(lfmt, tmp);
+				snprintf(tmp, sizeof(tmp), "%d", size);
+				strcat(lfmt, tmp);
 			}
-			(void)strcat(lfmt, "d");
+			strcat(lfmt, "d");
 			return (snprintf(buf, blen, lfmt, ts.tv_sec));
 		}
 
@@ -827,23 +827,23 @@
 		 * Any leftover size that's legitimate will be used.
 		 */
 		if (size > 0) {
-			(void)snprintf(tmp, sizeof(tmp), "%d", size);
-			(void)strcat(lfmt, tmp);
+			snprintf(tmp, sizeof(tmp), "%d", size);
+			strcat(lfmt, tmp);
 		}
-		(void)strcat(lfmt, "d");
+		strcat(lfmt, "d");
 
 		/*
 		 * The stuff after the decimal point always needs zero
 		 * filling.
 		 */
-		(void)strcat(lfmt, ".%0");
+		strcat(lfmt, ".%0");
 
 		/*
 		 * We can "print" at most nine digits of precision.  The
 		 * rest we will pad on at the end.
 		 */
-		(void)snprintf(tmp, sizeof(tmp), "%dd", prec > 9 ? 9 : prec);
-		(void)strcat(lfmt, tmp);
+		snprintf(tmp, sizeof(tmp), "%dd", prec > 9 ? 9 : prec);
+		strcat(lfmt, tmp);
 
 		/*
 		 * For precision of less that nine digits, trim off the
@@ -858,7 +858,7 @@
 		 */
 		l = snprintf(buf, blen, lfmt, ts.tv_sec, ts.tv_nsec);
 		for (; prec > 9 && l < blen; prec--, l++)
-			(void)strcat(buf, "0");
+			strcat(buf, "0");
 		return (l);
 	}
 
@@ -866,12 +866,12 @@
 	 * Add on size and precision, if specified, to the format.
 	 */
 	if (size != -1) {
-		(void)snprintf(tmp, sizeof(tmp), "%d", size);
-		(void)strcat(lfmt, tmp);
+		snprintf(tmp, sizeof(tmp), "%d", size);
+		strcat(lfmt, tmp);
 	}
 	if (prec != -1) {
-		(void)snprintf(tmp, sizeof(tmp), ".%d", prec);
-		(void)strcat(lfmt, tmp);
+		snprintf(tmp, sizeof(tmp), ".%d", prec);
+		strcat(lfmt, tmp);
 	}
 
 	/*
@@ -880,7 +880,7 @@
 	if (ofmt == FMTF_STRING) {
 		if (sdata == NULL)
 			errx(1, "%.*s: bad format", (int)flen, fmt);
-		(void)strcat(lfmt, "s");
+		strcat(lfmt, "s");
 		return (snprintf(buf, blen, lfmt, sdata));
 	}
 
@@ -894,7 +894,7 @@
 	/*
 	 * The four "numeric" output forms.
 	 */
-	(void)strcat(lfmt, "ll");
+	strcat(lfmt, "ll");
 	switch (ofmt) {
 	case FMTF_DECIMAL:	(void)strcat(lfmt, "d");	break;
 	case FMTF_OCTAL:		(void)strcat(lfmt, "o");	break;
Index: strings/strings.c
===================================================================
RCS file: /cvs/src/usr.bin/strings/strings.c,v
retrieving revision 1.3
diff -u -u -r1.3 strings.c
--- strings/strings.c	4 Oct 2003 20:36:51 -0000	1.3
+++ strings/strings.c	7 Nov 2004 20:02:16 -0000
@@ -75,7 +75,7 @@
 	u_char *bfr;
 	char *file, *p;
 
-	(void) setlocale(LC_CTYPE, "");
+	setlocale(LC_CTYPE, "");
 
 	/*
 	 * for backward compatibility, allow '-' to specify 'a' flag; no
@@ -204,7 +204,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: strings [-afo] [-n length] [file ... ]\n");
 	exit(1);
 }
Index: strip/strip.c
===================================================================
RCS file: /cvs/src/usr.bin/strip/strip.c,v
retrieving revision 1.4
diff -u -u -r1.4 strip.c
--- strip/strip.c	3 Nov 2003 19:31:33 -0000	1.4
+++ strip/strip.c	7 Nov 2004 20:02:16 -0000
@@ -244,6 +244,6 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: strip [-dx] file ...\n");
+	fprintf(stderr, "usage: strip [-dx] file ...\n");
 	exit(1);
 }
Index: su/su.c
===================================================================
RCS file: /cvs/src/usr.bin/su/su.c,v
retrieving revision 1.5
diff -u -u -r1.5 su.c
--- su/su.c	19 Jun 2004 18:55:48 -0000	1.5
+++ su/su.c	7 Nov 2004 20:02:16 -0000
@@ -158,7 +158,7 @@
 		user = argv[optind++];
 
 	if (strlen(user) > MAXLOGNAME - 1) {
-		(void)fprintf(stderr, "su: username too long.\n");
+		fprintf(stderr, "su: username too long.\n");
 		exit(1);
 	}
 		
@@ -190,7 +190,7 @@
 	prio = getpriority(PRIO_PROCESS, 0);
 	if (errno)
 		prio = 0;
-	(void)setpriority(PRIO_PROCESS, 0, -2);
+	setpriority(PRIO_PROCESS, 0, -2);
 	openlog("su", LOG_CONS, 0);
 
 	/* get current login name and shell */
@@ -346,7 +346,7 @@
 		    iscsh = strcmp(p, "tcsh") ? NO : YES;
 	}
 
-	(void)setpriority(PRIO_PROCESS, 0, prio);
+	setpriority(PRIO_PROCESS, 0, prio);
 
 #ifdef LOGIN_CAP
 	/* Set everything now except the environment & umask */
@@ -383,21 +383,21 @@
 			/* set the su'd user's environment & umask */
 			setusercontext(lc, pwd, pwd->pw_uid, LOGIN_SETPATH|LOGIN_SETUMASK|LOGIN_SETENV);
 #else
-			(void)setenv("PATH", _PATH_DEFPATH, 1);
+			setenv("PATH", _PATH_DEFPATH, 1);
 #endif
 			if (p)
-				(void)setenv("TERM", p, 1);
+				setenv("TERM", p, 1);
 #ifdef KERBEROS5
 			if (ccname)
-				(void)setenv("KRB5CCNAME", ccname, 1);
+				setenv("KRB5CCNAME", ccname, 1);
 #endif
 			if (chdir(pwd->pw_dir) < 0)
 				errx(1, "no directory");
 		}
 		if (asthem || pwd->pw_uid)
-			(void)setenv("USER", pwd->pw_name, 1);
-		(void)setenv("HOME", pwd->pw_dir, 1);
-		(void)setenv("SHELL", shell, 1);
+			setenv("USER", pwd->pw_name, 1);
+		setenv("HOME", pwd->pw_dir, 1);
+		setenv("SHELL", shell, 1);
 	}
 	if (iscsh == YES) {
 		if (fastlogin)
@@ -424,7 +424,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: su [-] [-%s] %s[login [args]]\n",
+	fprintf(stderr, "usage: su [-] [-%s] %s[login [args]]\n",
 	    KERBEROS_ARG("K") COMMON_ARG("flm"),
 #ifdef LOGIN_CAP
 	    "[-c class] "
@@ -549,7 +549,7 @@
 	if (p != NULL)
 		ccname = strdup(p);
 	else
-		(void)asprintf(&ccname, "%s%lu", KRB5_DEFAULT_CCROOT,
+		asprintf(&ccname, "%s%lu", KRB5_DEFAULT_CCROOT,
 		    (unsigned long)ruid);
 	if (ccname == NULL)
 		return (errno);
@@ -591,7 +591,7 @@
 			return (rv);
 		}
 		*p++ = '\0';
-		(void)asprintf(su_principal_name, "%s/%s@%s", principal_name,
+		asprintf(su_principal_name, "%s/%s@%s", principal_name,
 		    superuser, p);
 		free(principal_name);
 	} else 
Index: symorder/symorder.c
===================================================================
RCS file: /cvs/src/usr.bin/symorder/symorder.c,v
retrieving revision 1.3
diff -u -u -r1.3 symorder.c
--- symorder/symorder.c	4 Oct 2003 20:36:51 -0000	1.3
+++ symorder/symorder.c	7 Nov 2004 20:02:16 -0000
@@ -126,7 +126,7 @@
 		if (++nsym >= sizeof order / sizeof order[0])
 			break;
 	}
-	(void)fclose(f);
+	fclose(f);
 
 	if (xfilename != NULL) {
 		if ((xfile = fopen(xfilename, "r")) == NULL)
@@ -142,7 +142,7 @@
 			if (++nexclude >= sizeof exclude / sizeof exclude[0])
 				break;
 		}
-		(void)fclose(xfile);
+		fclose(xfile);
 	}
 
 	kfile = argv[1];
@@ -158,13 +158,13 @@
 		badfmt("bad magic number");
 	if (exec.a_syms == 0)
 		badfmt("stripped");
-	(void)fstat(fileno(f), &stb);
+	fstat(fileno(f), &stb);
 	if (stb.st_size < N_STROFF(exec) + sizeof(off_t))
 		badfmt("no string table");
 
 	/* seek to and read the symbol table */
 	sa = N_SYMOFF(exec);
-	(void)fseek(f, sa, SEEK_SET);
+	fseek(f, sa, SEEK_SET);
 	n = exec.a_syms;
 	if (!(symtab = (struct nlist *)malloc(n)))
 		err(ERREXIT, NULL);
@@ -215,7 +215,7 @@
 		} else if (clean)
 			symfound++;
 		symp->n_un.n_strx -= sizeof(int);
-		(void)strcpy(t, &strings[symp->n_un.n_strx]);
+		strcpy(t, &strings[symp->n_un.n_strx]);
 		symp->n_un.n_strx = (t - newstrings) + sizeof(int);
 		t += strlen(t) + 1;
 	}
@@ -225,12 +225,12 @@
 	n = symkept * sizeof(struct nlist);
 
 	/* fix exec sym size */
-	(void)lseek(o, (off_t)0, SEEK_SET);
+	lseek(o, (off_t)0, SEEK_SET);
 	exec.a_syms = n;
 	if (write(o, (void *)&exec, sizeof(exec)) != sizeof(exec))
 		err(ERREXIT, "%s", kfile);
 
-	(void)lseek(o, sa, SEEK_SET);
+	lseek(o, sa, SEEK_SET);
 	if (write(o, (void *)symtab, n) != n)
 		err(ERREXIT, "%s", kfile);
 	if (write(o, (void *)&strtabsize, sizeof(int)) != sizeof(int))
@@ -242,7 +242,7 @@
 	ftruncate(o, lseek(o, (off_t)0, SEEK_CUR));
 
 	if ((i = nsym - symfound) > 0) {
-		(void)printf("symorder: %d symbol%s not found:\n",
+		printf("symorder: %d symbol%s not found:\n",
 		    i, i == 1 ? "" : "s");
 		for (i = 0; i < nsym; i++)
 			if (order[i].n_value == 0)
@@ -334,7 +334,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: symorder [-c] [-m] [-t] [-x excludelist] symlist file\n");
 	exit(ERREXIT);
 }
Index: systat/ifstat.c
===================================================================
RCS file: /cvs/src/usr.bin/systat/ifstat.c,v
retrieving revision 1.1
diff -u -u -r1.1 ifstat.c
--- systat/ifstat.c	8 Nov 2003 09:30:32 -0000	1.1
+++ systat/ifstat.c	7 Nov 2004 20:02:16 -0000
@@ -261,7 +261,7 @@
 		error = gettimeofday(&new_tv, (struct timezone *)0);
 		if (error) 
 			IFSTAT_ERR(2, "error getting time of day");
-		(void)getifmibdata(ifp->if_row, &ifp->if_mib);
+		getifmibdata(ifp->if_row, &ifp->if_mib);
 
 
                 new_inb = ifp->if_mib.ifmd_data.ifi_ibytes;
@@ -329,8 +329,8 @@
 
 		newstr = (char *)ifp->if_name;
 		ptr = newstr + pad_len;
-		(void)memset((void *)newstr, (int)' ', IF_NAMESIZE);
-		(void)strncpy(ptr, (const char *)&ifp->if_mib.ifmd_name,
+		memset((void *)newstr, (int)' ', IF_NAMESIZE);
+		strncpy(ptr, (const char *)&ifp->if_mib.ifmd_name,
 			      str_len);
 	}
 
Index: systat/iostat.c
===================================================================
RCS file: /cvs/src/usr.bin/systat/iostat.c,v
retrieving revision 1.3
diff -u -u -r1.3 iostat.c
--- systat/iostat.c	4 Oct 2003 20:36:51 -0000	1.3
+++ systat/iostat.c	7 Nov 2004 20:02:16 -0000
@@ -313,7 +313,7 @@
 				wmove(wnd, row + 3, 0);
 				winsertln(wnd);
 			}
-			(void) devstats(row + 3, col, i);
+			devstats(row + 3, col, i);
 			col += COLWIDTH;
 		}
 }
Index: systat/main.c
===================================================================
RCS file: /cvs/src/usr.bin/systat/main.c,v
retrieving revision 1.5
diff -u -u -r1.5 main.c
--- systat/main.c	8 Nov 2003 09:30:32 -0000	1.5
+++ systat/main.c	7 Nov 2004 20:02:16 -0000
@@ -81,7 +81,7 @@
 {
 	char errbuf[_POSIX2_LINE_MAX];
 
-	(void) setlocale(LC_TIME, "");
+	setlocale(LC_TIME, "");
 
 	argc--, argv++;
 	while (argc > 0) {
@@ -176,7 +176,7 @@
 	struct itimerval ctv;
 
 	/* Get the load average over the last minute. */
-	(void) getloadavg(avenrun, sizeof(avenrun) / sizeof(avenrun[0]));
+	getloadavg(avenrun, sizeof(avenrun) / sizeof(avenrun[0]));
 	(*curcmd->c_fetch)();
 	if (curcmd->c_flags & CF_LOADAV) {
 		j = 5.0*avenrun[0] + 0.5;
@@ -205,7 +205,7 @@
 load(void)
 {
 
-	(void) getloadavg(avenrun, sizeof(avenrun)/sizeof(avenrun[0]));
+	getloadavg(avenrun, sizeof(avenrun)/sizeof(avenrun[0]));
 	mvprintw(CMDLINE, 0, "%4.1f %4.1f %4.1f",
 	    avenrun[0], avenrun[1], avenrun[2]);
 	clrtoeol();
@@ -233,7 +233,7 @@
 
 	if (wnd) {
 		getyx(stdscr, oy, ox);
-		(void) vsnprintf(buf, sizeof(buf), fmt, ap);
+		vsnprintf(buf, sizeof(buf), fmt, ap);
 		clrtoeol();
 		standout();
 		mvaddstr(CMDLINE, 0, buf);
@@ -241,7 +241,7 @@
 		move(oy, ox);
 		refresh();
 	} else {
-		(void) vfprintf(stderr, fmt, ap);
+		vfprintf(stderr, fmt, ap);
 		fprintf(stderr, "\n");
 	}
 	va_end(ap);
Index: systat/vmstat.c
===================================================================
RCS file: /cvs/src/usr.bin/systat/vmstat.c,v
retrieving revision 1.7
diff -u -u -r1.7 vmstat.c
--- systat/vmstat.c	2 Apr 2004 05:46:03 -0000	1.7
+++ systat/vmstat.c	7 Nov 2004 20:02:16 -0000
@@ -134,7 +134,7 @@
 closekre(WINDOW *w)
 {
 
-	(void) close(ut);
+	close(ut);
 	if (w == NULL)
 		return;
 	wclear(w);
@@ -275,7 +275,7 @@
 
 	time(&now);
 	tp = localtime(&now);
-	(void) strftime(buf, sizeof(buf),
+	strftime(buf, sizeof(buf),
 			d_first ? "%e %b %R" : "%b %e %R", tp);
 	getinfo(&s, state);
 }
Index: tail/forward.c
===================================================================
RCS file: /cvs/src/usr.bin/tail/forward.c,v
retrieving revision 1.3
diff -u -u -r1.3 forward.c
--- tail/forward.c	4 Oct 2003 20:36:51 -0000	1.3
+++ tail/forward.c	7 Nov 2004 20:02:16 -0000
@@ -180,7 +180,7 @@
 			ierr();
 			return;
 		}
-		(void)fflush(stdout);
+		fflush(stdout);
 		if (! fflag)
 			break;
 		clearerr(fp);
@@ -231,7 +231,7 @@
 			break;
 
 		case USE_SLEEP:
-                	(void) usleep(250000);
+                	usleep(250000);
 	                clearerr(fp);
 			break;
 		}
@@ -239,7 +239,7 @@
 		if (Fflag && fileno(fp) != STDIN_FILENO) {
 			while (stat(fname, &sb2) != 0)
 				/* file was rotated, wait until it reappears */
-				(void)sleep(1);
+				sleep(1);
 			if (sb2.st_ino != sbp->st_ino ||
 			    sb2.st_dev != sbp->st_dev ||
 			    sb2.st_rdev != sbp->st_rdev ||
Index: tail/tail.c
===================================================================
RCS file: /cvs/src/usr.bin/tail/tail.c,v
retrieving revision 1.3
diff -u -u -r1.3 tail.c
--- tail/tail.c	4 Oct 2003 20:36:52 -0000	1.3
+++ tail/tail.c	7 Nov 2004 20:02:16 -0000
@@ -165,17 +165,17 @@
 				continue;
 			}
 			if (argc > 1) {
-				(void)printf("%s==> %s <==\n",
+				printf("%s==> %s <==\n",
 				    first ? "" : "\n", fname);
 				first = 0;
-				(void)fflush(stdout);
+				fflush(stdout);
 			}
 
 			if (rflag)
 				reverse(fp, style, off, &sb);
 			else
 				forward(fp, style, off, &sb);
-			(void)fclose(fp);
+			fclose(fp);
 		}
 	else {
 		fname = "stdin";
@@ -264,7 +264,7 @@
 				errx(1, "illegal option -- %s", *argv);
 			}
 			*p++ = *argv[0];
-			(void)strcpy(p, ap);
+			strcpy(p, ap);
 			*argv = start;
 			continue;
 
@@ -294,7 +294,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 	    "usage: tail [-F | -f | -r] [-b # | -c # | -n #] [file ...]\n");
 	exit(1);
 }
Index: talk/init_disp.c
===================================================================
RCS file: /cvs/src/usr.bin/talk/init_disp.c,v
retrieving revision 1.3
diff -u -u -r1.3 init_disp.c
--- talk/init_disp.c	4 Oct 2003 20:36:52 -0000	1.3
+++ talk/init_disp.c	7 Nov 2004 20:02:16 -0000
@@ -76,9 +76,9 @@
 
 	if (initscr() == NULL)
 		errx(1, "Terminal type unset or lacking necessary features.");
-	(void) sigaction(SIGTSTP, (struct sigaction *)0, &sa);
+	sigaction(SIGTSTP, (struct sigaction *)0, &sa);
 	sigaddset(&sa.sa_mask, SIGALRM);
-	(void) sigaction(SIGTSTP, &sa, (struct sigaction *)0);
+	sigaction(SIGTSTP, &sa, (struct sigaction *)0);
 	curses_initialized = 1;
 	clear();
 	refresh();
Index: talk/invite.c
===================================================================
RCS file: /cvs/src/usr.bin/talk/invite.c,v
retrieving revision 1.4
diff -u -u -r1.4 invite.c
--- talk/invite.c	19 Aug 2004 23:32:02 -0000	1.4
+++ talk/invite.c	7 Nov 2004 20:02:16 -0000
@@ -90,7 +90,7 @@
 	setitimer(ITIMER_REAL, &itimer, (struct itimerval *)0);
 	message("Waiting for your party to respond");
 	signal(SIGALRM, re_invite);
-	(void) setjmp(invitebuf);
+	setjmp(invitebuf);
 	while ((new_sockt = accept(sockt, 0, 0)) < 0) {
 		if (errno == EINTR)
 			continue;
Index: talk/talk.c
===================================================================
RCS file: /cvs/src/usr.bin/talk/talk.c,v
retrieving revision 1.3
diff -u -u -r1.3 talk.c
--- talk/talk.c	4 Oct 2003 20:36:52 -0000	1.3
+++ talk/talk.c	7 Nov 2004 20:02:16 -0000
@@ -59,7 +59,7 @@
 int
 main(int argc, char **argv)
 {
-	(void) setlocale(LC_CTYPE, "");
+	setlocale(LC_CTYPE, "");
 
 	get_names(argc, argv);
 	check_writeable();
Index: tcopy/tcopy.c
===================================================================
RCS file: /cvs/src/usr.bin/tcopy/tcopy.c,v
retrieving revision 1.3
diff -u -u -r1.3 tcopy.c
--- tcopy/tcopy.c	4 Oct 2003 20:36:52 -0000	1.3
+++ tcopy/tcopy.c	7 Nov 2004 20:02:16 -0000
@@ -137,7 +137,7 @@
 	}
 
 	if ((oldsig = signal(SIGINT, SIG_IGN)) != SIG_IGN)
-		(void) signal(SIGINT, intr);
+		signal(SIGINT, intr);
 
 	needeof = 0;
 	for (lastnread = NOCOUNT;;) {
@@ -161,7 +161,7 @@
 			if (nread != 0)
 				fprintf(msg, "file %d: block size %d: ",
 				    filen, nread);
-			(void) fflush(stdout);
+			fflush(stdout);
 			lastrec = record;
 		}
 r1:		guesslen = 0;
@@ -201,7 +201,7 @@
 		lastnread = nread;
 	}
 	fprintf(msg, "total length: %qu bytes\n", tsize);
-	(void)signal(SIGINT, oldsig);
+	signal(SIGINT, oldsig);
 	if (op == COPY || op == COPYVERIFY) {
 		writeop(outp, MTWEOF);
 		writeop(outp, MTWEOF);
Index: telnet/commands.c
===================================================================
RCS file: /cvs/src/usr.bin/telnet/commands.c,v
retrieving revision 1.3
diff -u -u -r1.3 commands.c
--- telnet/commands.c	4 Oct 2003 20:36:52 -0000	1.3
+++ telnet/commands.c	7 Nov 2004 20:02:16 -0000
@@ -128,7 +128,7 @@
 		perror("fork");
 		break;
 	default:
-		(void) wait(&status);
+		wait(&status);
 		if (WIFEXITED(status))
 			return (WEXITSTATUS(status));
 	}
@@ -1238,12 +1238,12 @@
 		arg = argv[1];
 	else {
 		printf("new escape character: ");
-		(void) fgets(buf, sizeof(buf), stdin);
+		fgets(buf, sizeof(buf), stdin);
 		arg = buf;
 	}
 	if (arg[0] != '\0')
 		escape = arg[0];
-	(void) fflush(stdout);
+	fflush(stdout);
 	return 1;
 }
 
@@ -1253,7 +1253,7 @@
     crmod = !crmod;
     printf("Deprecated usage - please use 'toggle crmod' in the future.\n");
     printf("%s map carriage return on output.\n", crmod ? "Will" : "Won't");
-    (void) fflush(stdout);
+    fflush(stdout);
     return 1;
 }
 
@@ -1266,7 +1266,7 @@
 	long oldrows, oldcols, newrows, newcols, err_;
 
 	err_ = (TerminalWindowSize(&oldrows, &oldcols) == 0) ? 1 : 0;
-	(void) kill(0, SIGTSTP);
+	kill(0, SIGTSTP);
 	/*
 	 * If we didn't get the window size before the SUSPEND, but we
 	 * can get them now (?), then send the NAWS to make sure that
@@ -1321,7 +1321,7 @@
 	    _exit(1);
 	}
     default:
-	    (void)wait((int *)0);	/* Wait for the shell to complete */
+	    wait((int *)0);	/* Wait for the shell to complete */
 
 	    if (TerminalWindowSize(&newrows, &newcols) && connected &&
 		(err_ || ((oldrows != newrows) || (oldcols != newcols)))) {
@@ -1338,9 +1338,9 @@
     extern int resettermname;
 
     if (connected) {
-	(void) shutdown(net, 2);
+	shutdown(net, 2);
 	printf("Connection closed.\n");
-	(void) NetClose(net);
+	NetClose(net);
 	connected = 0;
 	resettermname = 1;
 	/* reset options */
@@ -1356,7 +1356,7 @@
 void
 quit(void)
 {
-	(void) call(bye, "bye", "fromquit", 0);
+	call(bye, "bye", "fromquit", 0);
 	Exit(0);
 }
 
@@ -1364,7 +1364,7 @@
 logout(void)
 {
 	send_do(TELOPT_LOGOUT, 1);
-	(void) netflush();
+	netflush();
 	return 1;
 }
 
@@ -1811,7 +1811,7 @@
 	printf("No connection.\n");
     }
     printf("Escape character is '%s'.\n", control(escape));
-    (void) fflush(stdout);
+    fflush(stdout);
     return 1;
 }
 
@@ -1822,7 +1822,7 @@
 void
 ayt_status(void)
 {
-    (void) call(status, "status", "notmuch", 0);
+    call(status, "status", "notmuch", 0);
 }
 #endif
 
@@ -1922,9 +1922,9 @@
 	return 0;
     }
     if (argc < 2) {
-	(void) strcpy(line, "open ");
+	strcpy(line, "open ");
 	printf("(to) ");
-	(void) fgets(&line[strlen(line)], sizeof(line) - strlen(line), stdin);
+	fgets(&line[strlen(line)], sizeof(line) - strlen(line), stdin);
 	makeargv();
 	argc = margc;
 	argv = margv;
@@ -2011,7 +2011,7 @@
 	}
 	if (connect(net, (struct sockaddr *)&su, sizeof su) == -1) {
 	    perror(su.sun_path);
-	    (void) NetClose(net);
+	    NetClose(net);
 	    goto fail;
 	}
 	goto af_unix;
@@ -2064,17 +2064,17 @@
 				  _hostname, sizeof(_hostname) - 1, NULL, 0,
 				  NI_NAMEREQD);
 	if (gni_err != 0)
-	    (void) strncpy(_hostname, hostp, sizeof(_hostname) - 1);
+	    strncpy(_hostname, hostp, sizeof(_hostname) - 1);
 	_hostname[sizeof(_hostname)-1] = '\0';
 	hostname = _hostname;
     } else {
 	/* hostname has FQDN */
 	if (srcroute != 0)
-	    (void) strncpy(_hostname, hostname, sizeof(_hostname) - 1);
+	    strncpy(_hostname, hostname, sizeof(_hostname) - 1);
 	else if (res->ai_canonname != NULL)
 	  strcpy(_hostname, res->ai_canonname);
 	else
-	  (void) strncpy(_hostname, hostp, sizeof(_hostname) - 1);
+	  strncpy(_hostname, hostp, sizeof(_hostname) - 1);
 	_hostname[sizeof(_hostname)-1] = '\0';
 	hostname = _hostname;
     }
@@ -2157,22 +2157,22 @@
 	        if (family == AF_UNSPEC && af_error == 0 &&
 		    switch_af(&res) == 1) {
 		    af_error = 1;
-		    (void) NetClose(net);
+		    NetClose(net);
 		    goto af_again;
 		}
 #endif
 		perror("bind");
-		(void) NetClose(net);
+		NetClose(net);
 		goto fail;
 	    }
 	}
 #if defined(IPSEC) && defined(IPSEC_POLICY_IPSEC)
 	if (setpolicy(net, res, ipsec_policy_in) < 0) {
-		(void) NetClose(net);
+		NetClose(net);
 		goto fail;
 	}
 	if (setpolicy(net, res, ipsec_policy_out) < 0) {
-		(void) NetClose(net);
+		NetClose(net);
 		goto fail;
 	}
 #endif
@@ -2188,11 +2188,11 @@
 	    warn("connect to address %s", sockaddr_ntop(res->ai_addr));
 	    if (next != NULL) {
 		res = next;
-		(void) NetClose(net);
+		NetClose(net);
 		continue;
 	    }
 	    warnx("Unable to connect to remote host");
-	    (void) NetClose(net);
+	    NetClose(net);
 	    goto fail;
 	}
 	connected++;
@@ -2218,10 +2218,10 @@
 	env_define("USER", user);
 	env_export("USER");
     }
-    (void) call(status, "status", "notmuch", 0);
+    call(status, "status", "notmuch", 0);
     if (setjmp(peerdied) == 0)
 	telnet(user);
-    (void) NetClose(net);
+    NetClose(net);
     ExitString("Connection closed by foreign host.\n",1);
     /*NOTREACHED*/
  fail:
@@ -2327,8 +2327,8 @@
     if (!top) {
 	putchar('\n');
     } else {
-	(void) signal(SIGINT, SIG_DFL);
-	(void) signal(SIGQUIT, SIG_DFL);
+	signal(SIGINT, SIG_DFL);
+	signal(SIGQUIT, SIG_DFL);
     }
     for (;;) {
 	if (rlogin == _POSIX_VDISABLE)
@@ -2350,7 +2350,7 @@
 		printf("%s> ", prompt);
 	    if (fgets(line, sizeof(line), stdin) == NULL) {
 		if (feof(stdin) || ferror(stdin)) {
-		    (void) quit();
+		    quit();
 		    /*NOTREACHED*/
 		}
 		break;
Index: telnet/main.c
===================================================================
RCS file: /cvs/src/usr.bin/telnet/main.c,v
retrieving revision 1.2
diff -u -u -r1.2 main.c
--- telnet/main.c	17 Jun 2003 04:29:32 -0000	1.2
+++ telnet/main.c	7 Nov 2004 20:02:16 -0000
@@ -274,7 +274,7 @@
 		else
 			return (1);
 	}
-	(void)setjmp(toplevel);
+	setjmp(toplevel);
 	for (;;) {
 			command(1, 0, 0);
 	}
Index: telnet/network.c
===================================================================
RCS file: /cvs/src/usr.bin/telnet/network.c,v
retrieving revision 1.2
diff -u -u -r1.2 network.c
--- telnet/network.c	17 Jun 2003 04:29:32 -0000	1.2
+++ telnet/network.c	7 Nov 2004 20:02:16 -0000
@@ -90,7 +90,7 @@
 
     if (value < 0) {
 	perror("select");
-	(void) quit();
+	quit();
 	/* NOTREACHED */
     }
     if (FD_ISSET(net, &excepts)) {
@@ -147,7 +147,7 @@
 	if (errno != ENOBUFS && errno != EWOULDBLOCK) {
 	    setcommandmode();
 	    perror(hostname);
-	    (void)NetClose(net);
+	    NetClose(net);
 	    ring_clear_mark(&netoring);
 	    longjmp(peerdied, -1);
 	    /*NOTREACHED*/
@@ -164,7 +164,7 @@
 	 * up the other half.
 	 */
 	if ((n1 == n) && ring_full_consecutive(&netoring)) {
-	    (void) netflush();
+	    netflush();
 	}
 	return 1;
     } else {
Index: telnet/sys_bsd.c
===================================================================
RCS file: /cvs/src/usr.bin/telnet/sys_bsd.c,v
retrieving revision 1.2
diff -u -u -r1.2 sys_bsd.c
--- telnet/sys_bsd.c	17 Jun 2003 04:29:32 -0000	1.2
+++ telnet/sys_bsd.c	7 Nov 2004 20:02:16 -0000
@@ -220,9 +220,9 @@
 TerminalFlushOutput(void)
 {
 #ifdef	TIOCFLUSH
-    (void) ioctl(fileno(stdout), TIOCFLUSH, (char *) 0);
+    ioctl(fileno(stdout), TIOCFLUSH, (char *) 0);
 #else
-    (void) ioctl(fileno(stdout), TCFLSH, (char *) 0);
+    ioctl(fileno(stdout), TCFLSH, (char *) 0);
 #endif
 }
 
@@ -589,16 +589,16 @@
 
     if (f != -1) {
 #ifdef  SIGINT
-	(void) signal(SIGINT, intr);
+	signal(SIGINT, intr);
 #endif
 #ifdef  SIGQUIT
-	(void) signal(SIGQUIT, intr2);
+	signal(SIGQUIT, intr2);
 #endif
 #ifdef	SIGTSTP
-	(void) signal(SIGTSTP, susp);
+	signal(SIGTSTP, susp);
 #endif	/* SIGTSTP */
 #ifdef	SIGINFO
-	(void) signal(SIGINFO, ayt);
+	signal(SIGINFO, ayt);
 #endif
 #if	defined(USE_TERMIO) && defined(NOKERNINFO)
 	tmp_tc.c_lflag |= NOKERNINFO;
@@ -640,20 +640,20 @@
 #endif
     } else {
 #ifdef	SIGINFO
-	(void) signal(SIGINFO, (void (*)(int))ayt_status);
+	signal(SIGINFO, (void (*)(int))ayt_status);
 #endif
 #ifdef  SIGINT
-	(void) signal(SIGINT, SIG_DFL);
+	signal(SIGINT, SIG_DFL);
 #endif
 #ifdef  SIGQUIT
-	(void) signal(SIGQUIT, SIG_DFL);
+	signal(SIGQUIT, SIG_DFL);
 #endif
 #ifdef	SIGTSTP
-	(void) signal(SIGTSTP, SIG_DFL);
+	signal(SIGTSTP, SIG_DFL);
 # ifndef SOLARIS
-	(void) sigsetmask(sigblock(0) & ~(1<<(SIGTSTP-1)));
+	sigsetmask(sigblock(0) & ~(1<<(SIGTSTP-1)));
 # else	SOLARIS
-	(void) sigrelse(SIGTSTP);
+	sigrelse(SIGTSTP);
 # endif	SOLARIS
 #endif	/* SIGTSTP */
 #ifndef USE_TERMIO
@@ -880,17 +880,17 @@
 void
 sys_telnet_init(void)
 {
-    (void) signal(SIGINT, intr);
-    (void) signal(SIGQUIT, intr2);
-    (void) signal(SIGPIPE, deadpeer);
+    signal(SIGINT, intr);
+    signal(SIGQUIT, intr2);
+    signal(SIGPIPE, deadpeer);
 #ifdef	SIGWINCH
-    (void) signal(SIGWINCH, sendwin);
+    signal(SIGWINCH, sendwin);
 #endif
 #ifdef	SIGTSTP
-    (void) signal(SIGTSTP, susp);
+    signal(SIGTSTP, susp);
 #endif
 #ifdef	SIGINFO
-    (void) signal(SIGINFO, ayt);
+    signal(SIGINFO, ayt);
 #endif
 
     setconnmode(0);
@@ -986,7 +986,7 @@
     if (FD_ISSET(net, xbitsp)) {
 	FD_CLR(net, xbitsp);
 	SYNCHing = 1;
-	(void) ttyflush(1);	/* flush already enqueued data */
+	ttyflush(1);	/* flush already enqueued data */
     }
 
     /*
Index: telnet/telnet.c
===================================================================
RCS file: /cvs/src/usr.bin/telnet/telnet.c,v
retrieving revision 1.2
diff -u -u -r1.2 telnet.c
--- telnet/telnet.c	17 Jun 2003 04:29:32 -0000	1.2
+++ telnet/telnet.c	7 Nov 2004 20:02:16 -0000
@@ -1096,7 +1096,7 @@
 	}
     }
     slc_end_reply();
-    (void)slc_update();
+    slc_update();
     setconnmode(1);	/* Make sure the character values are set */
 }
 
@@ -1587,7 +1587,7 @@
 		     */
 		printoption("RCVD", IAC, DM);
 		SYNCHing = 1;
-		(void) ttyflush(1);
+		ttyflush(1);
 		SYNCHing = stilloob();
 		settimer(gotDM);
 		break;
@@ -2018,7 +2018,7 @@
     NETADD(TELOPT_TM);
     flushline = 1;
     flushout = 1;
-    (void) ttyflush(1);			/* Flush/drop output */
+    ttyflush(1);			/* Flush/drop output */
     /* do printoption AFTER flush, otherwise the output gets tossed... */
     printoption("SENT", DO, TELOPT_TM);
 }
Index: telnet/utilities.c
===================================================================
RCS file: /cvs/src/usr.bin/telnet/utilities.c,v
retrieving revision 1.2
diff -u -u -r1.2 utilities.c
--- telnet/utilities.c	17 Jun 2003 04:29:32 -0000	1.2
+++ telnet/utilities.c	7 Nov 2004 20:02:16 -0000
@@ -718,13 +718,13 @@
 
     if (TTYBYTES() == 0) {
 	FD_SET(tout, &o);
-	(void) select(tout+1, (fd_set *) 0, &o, (fd_set *) 0,
+	select(tout+1, (fd_set *) 0, &o, (fd_set *) 0,
 			(struct timeval *) 0);	/* wait for TTLOWAT */
     } else {
 	while (TTYBYTES()) {
-	    (void) ttyflush(0);
+	    ttyflush(0);
 	    FD_SET(tout, &o);
-	    (void) select(tout+1, (fd_set *) 0, &o, (fd_set *) 0,
+	    select(tout+1, (fd_set *) 0, &o, (fd_set *) 0,
 				(struct timeval *) 0);	/* wait for TTLOWAT */
 	}
     }
@@ -735,7 +735,7 @@
 {
     setconnmode(0);
     do {
-	(void)telrcv();			/* Process any incoming data */
+	telrcv();			/* Process any incoming data */
 	EmptyTerminal();
     } while (ring_full_count(&netiring));	/* While there is any */
     setcommandmode();
Index: tftp/main.c
===================================================================
RCS file: /cvs/src/usr.bin/tftp/main.c,v
retrieving revision 1.5
diff -u -u -r1.5 main.c
--- tftp/main.c	30 Aug 2004 18:06:50 -0000	1.5
+++ tftp/main.c	7 Nov 2004 20:02:16 -0000
@@ -156,7 +156,7 @@
 		setpeer(argc, argv);
 	}
 	if (setjmp(toplevel) != 0)
-		(void)putchar('\n');
+		putchar('\n');
 	command();
 }
 
@@ -217,10 +217,10 @@
 		/* res->ai_addr <= sizeof(peeraddr) is guaranteed */
 		memcpy(&peeraddr, res->ai_addr, res->ai_addrlen);
 		if (res->ai_canonname) {
-			(void) strncpy(hostname, res->ai_canonname,
+			strncpy(hostname, res->ai_canonname,
 				sizeof(hostname));
 		} else
-			(void) strncpy(hostname, host, sizeof(hostname));
+			strncpy(hostname, host, sizeof(hostname));
 		hostname[sizeof(hostname)-1] = 0;
 		connected = 1;
 	}
Index: tftp/tftp.c
===================================================================
RCS file: /cvs/src/usr.bin/tftp/tftp.c,v
retrieving revision 1.5
diff -u -u -r1.5 tftp.c
--- tftp/tftp.c	3 Sep 2004 20:38:01 -0000	1.5
+++ tftp/tftp.c	7 Nov 2004 20:02:16 -0000
@@ -126,7 +126,7 @@
 			dp->th_block = htons((u_short)block);
 		}
 		timeout = 0;
-		(void) setjmp(timeoutbuf);
+		setjmp(timeoutbuf);
 send_data:
 		if (trace)
 			tpacket("sent", dp, size + 4);
@@ -240,7 +240,7 @@
 			block++;
 		}
 		timeout = 0;
-		(void) setjmp(timeoutbuf);
+		setjmp(timeoutbuf);
 send_ack:
 		if (trace)
 			tpacket("sent", ap, size);
@@ -311,7 +311,7 @@
 abort:						/* ok to ack, since user */
 	ap->th_opcode = htons((u_short)ACK);	/* has seen err msg */
 	ap->th_block = htons((u_short)block);
-	(void) sendto(f, ackbuf, 4, 0, (struct sockaddr *)&peer,
+	sendto(f, ackbuf, 4, 0, (struct sockaddr *)&peer,
 	    peer.ss_len);
 	write_behind(file, convert);		/* flush last buffer */
 	fclose(file);
@@ -426,14 +426,14 @@
 startclock(void)
 {
 
-	(void)gettimeofday(&tstart, NULL);
+	gettimeofday(&tstart, NULL);
 }
 
 static void
 stopclock(void)
 {
 
-	(void)gettimeofday(&tstop, NULL);
+	gettimeofday(&tstop, NULL);
 }
 
 static void
